<?php
/*****************************************************
* Casino MOD for Simple Machines Forum  			 *
* Author: Akai Phan									 *
* Version: 2.2										 *
* Release Date: 3/26/2009							 *
* Language: English									 *
* SMF Version supported: SMF2 RC1					 *
******************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function doHome() {
}

function doGame() {
	global $casino, $context, $txt, $settings;


	
	if(!isset($_GET['game']))
		$_GET['game'] = 'bet';

	
	switch ($_GET['game']) 
	{
		case 'bet2':
			makeBet2();
			break;
		case 'dice2':
			makeDice2();
			break;
		case 'seven2':
			makeSeven2();
			break;
		case 'twentyone2':
			makeTwentyone2();
			break;
	}
	
}

function doBank() {

	global $context, $modSettings, $txt, $user_info;
	global $casino;
	
	$userid = $context['user']['id'];
	
	$cash = $user_info['cash'];
	$cashBank = $user_info['cashBank'];	
	
	if(isset($_GET['banking']))	
	{
		$amount = (float) $_POST['amount'];
		if ($_POST['type'] == 'deposit') 
		{
			if (($amount + $modSettings['casinodfee']) > $cash)
			$casino['bank_message'] = $txt['casino_bank_notmuch'];
			elseif ($amount <= 0)
			$casino['bank_message'] = $txt['casino_bank_negative'];
			elseif ($amount < $modSettings['casinodmin'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow'], formatCash($modSettings['casinodmin']));
			elseif ($amount > $modSettings['casinodmax'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toohigh'], formatCash($modSettings['casinodmax']));
			else 
			{
				$cash -= ($amount + $modSettings['casinodfee']);
				$cashBank += $amount;
			
				doCash($userid, $cash);
				doCashBank($userid, $cashBank);

				$casino['bank_message'] = sprintf($txt['casino_bank_deposited'], $amount);
			}
		}
		elseif ($_POST['type'] == 'withdraw')
		{
			if (($amount + $modSettings['casinowfee']) > $cashBank)
			$casino['bank_message'] = $txt['casino_bank_notmuch2'];
			elseif ($amount <= 0)
			$casino['bank_message'] = $txt['casino_bank_negative'];
			elseif ($amount < $modSettings['casinowmin'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow2'], formatCash($modSettings['casinowmin']));
			elseif ($amount > $modSettings['casinowmax'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow2'], formatCash($modSettings['casinowmax']));			
			else 
			{
				$cashBank -= ($amount + $modSettings['casinowfee']);
				$cash += $amount;
			
				doCash($userid, $cash);
				doCashBank($userid, $cashBank);

				$casino['bank_message'] = sprintf($txt['casino_bank_withdrew'], $amount);
			}
		}
	}
}

function doShop() {
	global $context, $txt, $casino;
	
	if(!isset($_GET['cat']))
		$_GET['cat'] = 1;
	
	if(isset($_GET['buy'])) 
	{
		$userid = $context['user']['id'];
		
		$iteminfo = iteminfo($_GET['itemid'],'');
		
		// check count
		if($iteminfo['count'] <= 0)
			$casino['shop_message'] = $txt['casino_hack'];
		else
		{
			// check money
			$cash = Cash($userid) - $iteminfo['price'];
			if($cash >= 0)
			{
				//do
				saveitems($userid, $_GET['itemid'], 'add', '', 'bought');
				saveitems('', $_GET['itemid'], 'minus', 1, '');
				doCash($userid, $cash);
				$casino['shop_message'] = $txt['casino_shop_successpurchase'];
			}
			else
			{
				$casino['shop_message'] = $txt['casino_shop_lowmoney'];
			}
		}
	}
}

function doInventory() {
	global $context, $userid, $casino;
	
	$userid = $context['user']['id'];
	if(isset($_GET['next']))
	{
		if(isset($_POST['thename']))
			$userid = UserId($_POST['thename']);
		if(!isset($userid)) 
		{
			$casino['inv_message'] = $txt['casino_inv_nouser'];
		}
	}
	if(isset($_GET['discard']))
	{
		$userid = $_GET['userid'];
		if(own($userid, $_GET['id']))
			saveitems($userid, $_GET['id'], 'remove', '', '');
		
	}
}

function doGift() {
	global $context, $txt, $casino;
	
	$casino['gift_message'] = '';
	
	// if user sending gift, then
	if(isset($_GET['send'])) 
	{
		// check username blank
		if(empty($_POST['thename']))
			$casino['gift_message'] .= $txt['casino_gift_noinput'].'<br />';
		else
		{
			// check username exist
			if($newuser = UserId($_POST['thename']))
			{
				// check money blank
				if(!empty($_POST['theamount']))
				{
					// check money
					$cash = Cash($context['user']['id']) - $_POST['theamount'];
					if($cash >= 0)
					{
						// transfer
						doCash($context['user']['id'], $cash);
						doCash($newuser, Cash($newuser) + $_POST['theamount']);
						$casino['gift_message'] .= $txt['casino_gift_donemoney'].'<br />';
					}
					else
					{
						$casino['gift_message'] .= $txt['casino_gift_nomoney'].'<br />';
					}
				}
				// check item blank
				if(!empty($_POST['theitem']))
				{
					// check item
					if(own($context['user']['id'], $_POST['theitem']))
					{
						// transfer
						saveitems($newuser, iteminfo('',$_POST['theitem']), 'add', '', 'from '.$context['user']['name']);
						saveitems($context['user']['id'], $_POST['theitem'], 'remove', '', '');
						$casino['gift_message'] .= $txt['casino_gift_doneitem'].'<br />';
					}
					else
					{
						$casino['gift_message'] .= $txt['casino_gift_noitem'].'<br />';
					}
				}
			}
			// user not exist
			else
			{
				$casino['gift_message'] = $txt['casino_gift_nouser'].'<br />';
			}
		}
		$casino['gift_message'] .= '<br />';
	}
}

function doStats() {
}
?>